<!doctype html>
<html>
<head>
    <title>January 2008 Progress Report | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="January 2008 Progress Report | Tor Project">
    <meta property="og:description" content="Tor 0.2.0.18-alpha (released Jan 25) adds a sixth v3 directory authority run by CCC, fixes a big...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/january-2008-progress-report/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        January 2008 Progress Report
      </h1>
    <p class="meta">by phobos | February 19, 2008</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Tor 0.2.0.18-alpha (released Jan 25) adds a sixth v3 directory authority run by CCC, fixes a big memory leak in 0.2.0.17-alpha, and adds new config options that can warn or reject connections to ports generally associated with vulnerable-plaintext protocols.<br />
<a href="http://archives.seul.org/or/talk/Jan-2008/msg00442.html" rel="nofollow">http://archives.seul.org/or/talk/Jan-2008/msg00442.html</a></p>

<p>Tor 0.2.0.16-alpha and 0.2.0.17-alpha (released Jan 17) add a fifth v3 directory authority run by Karsten Loesing, and generally clean up a lot of features and minor bugs.<br />
<a href="http://archives.seul.org/or/talk/Jan-2008/msg00254.html" rel="nofollow">http://archives.seul.org/or/talk/Jan-2008/msg00254.html</a></p>

<p>Tor 0.1.2.19 (released Jan 17) fixes a huge memory leak on exit relays, makes the default exit policy a little bit more conservative so it's safer to run an exit relay on a home system, and fixes a variety of smaller issues.<br />
<a href="http://archives.seul.org/or/announce/Jan-2008/msg00000.html" rel="nofollow">http://archives.seul.org/or/announce/Jan-2008/msg00000.html</a></p>

<p>We continued work on the "BridgeDB" module: major progress on January was to improve robustness of the email subsystem so it is better at detecting forged mails that claim to be from gmail but are actually from elsewhere.</p>

<p>Work continued toward the upcoming Torbutton 1.1.13 release (which came out Feb 1). This new release has several significant security-related fixes:<br />
<a href="https://torbutton.torproject.org/dev/CHANGELOG" rel="nofollow">https://torbutton.torproject.org/dev/CHANGELOG</a></p>

<p>Work continued toward the upcoming Vidalia 0.1.0 release: support for launching Firefox and Polipo as supporting applications; support for learning from Tor when the first circuit is ready so it can inform the user; and many other bugfixes including a few security fixes:<br />
<a href="http://trac.vidalia-project.net/browser/vidalia/trunk/CHANGELOG" rel="nofollow">http://trac.vidalia-project.net/browser/vidalia/trunk/CHANGELOG</a></p>

<p>We added a "How do I find a bridge?" link and corresponding help text to Vidalia's 'Network' settings page.</p>

<p>From the Tor 0.2.0.16-alpha ChangeLog:<br />
“Do not try to download missing certificates until we have tried to check our fallback consensus.” This change gets us closer to being able to bootstrap without ever needing to contact the central directory authorities.</p>

<p>New proposal "Version 2 Tor connection protocol" that specifies the details of our proposed new TLS handshake and how it interacts with current clients and servers:<br />
<a href="https://www.torproject.org/svn/trunk/doc/spec/proposals/130-v2-conn-protocol.txt" rel="nofollow">https://www.torproject.org/svn/trunk/doc/spec/proposals/130-v2-conn-pro…</a></p>

<p>New proposal "Block Insecure Protocols by Default" in collaboration with researchers at University of Colorado to warn and/or refuse users when they try to use ports commonly associated with vulnerable-plaintext protocols:<br />
<a href="https://www.torproject.org/svn/trunk/doc/spec/proposals/129-reject-plaintext-ports" rel="nofollow">https://www.torproject.org/svn/trunk/doc/spec/proposals/129-reject-plai…</a></p>

<p>Implemented in Tor 0.2.0.18-alpha:<br />
“New config options WarnPlaintextPorts and RejectPlaintextPorts so Tor can warn and/or refuse connections to ports commonly used with vulnerable-plaintext protocols. Currently we warn on ports 23, 109, 110, and 143, but we don't reject any.”</p>

<p>Started work on a roadmap of all the future features and extensions we know we need. It's still mostly in outline form at this point:<br />
<a href="https://www.torproject.org/svn/trunk/doc/design-paper/roadmap-future.pdf" rel="nofollow">https://www.torproject.org/svn/trunk/doc/design-paper/roadmap-future.pdf</a></p>

<p>From the Tor 0.2.0.18-alpha ChangeLog:<br />
“If we've gone 12 hours since our last bandwidth check, and we estimate we have less than 50KB bandwidth capacity but we could handle more, do another bandwidth test.” Bridge relays that weren't getting any use were seeing their bandwidth estimate fall to 0 after the first few days of uptime.</p>

<p>From the Tor 0.2.0.16-alpha ChangeLog:<br />
“Make bridges round reported GeoIP stats info up to the nearest multiple of 8, not down. Now we can distinguish between "0 people from this country" and "1 person from this country", without needing to collect precise statistics.”<br />
“Bridge authorities are no longer willing to serve bridge descriptors over unencrypted connections.” This will discourage people from writing tools that don't bother using encrypted connections.</p>

<p>We continued to deploy the new design for the normalized TLS handshake. Thanks to some assistance from an OpenSSL development team member, we were able to get closer to completing a new version-2 style TLS handshake. In early February we have successfully made such a handshake: so we expect that February will be the month when this feature finally rolls out.</p>

<p>From the Tor 0.1.2.19 ChangeLog:<br />
“Exit policies now reject connections that are addressed to a relay's public (external) IP address too, unless ExitPolicyRejectPrivate is turned off. We do this because too many relays are running nearby to services that trust them based on network address.” This change will allow more people to run relays comfortably, thus expanding the network.<br />
“Stop thinking that 0.1.2.x directory servers can handle "begin_dir" requests. Should ease bugs 406 and 419 where 0.1.2.x relays are crashing or mis-answering these types of requests.”<br />
“Fix a memory leak on exit relays; we were leaking a cached_resolve_t on every successful resolve. Reported by Mike Perry.”</p>

<p>From the Tor 0.2.0.16-alpha ChangeLog:<br />
“Major performance improvement: Switch our old ring buffer implementation for one more like that used by free Unix kernels. The wasted space in a buffer with 1MB of data will now be more like 8KB than 1MB. The new implementation also avoids realloc();realloc(); patterns that can contribute to memory fragmentation.”</p>

<p>The Tor Browser Bundle now has its own webpage, complete with an installation guide and screenshots:<br />
<a href="https://torbrowser.torproject.org/" rel="nofollow">https://torbrowser.torproject.org/</a></p>

<p>The new 0.0.6 Tor Browser Bundle (released Jan 29) includes Polipo, includes a newer Tor release, and fixes a few configuration aspects to make it more secure:<br />
<a href="https://tor-svn.freehaven.net/svn/torbrowser/branches/stable/README" rel="nofollow">https://tor-svn.freehaven.net/svn/torbrowser/branches/stable/README</a></p>

<p>A new version of the Incognito Privacy LiveCD was released on Jan 26. It includes new versions of many components, and also some bugfixes on the USB support:<br />
<a href="http://anonymityanywhere.com/incognito/" rel="nofollow">http://anonymityanywhere.com/incognito/</a></p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/applications">
          applications
        </a>
      </li><li>
        <a href="../category/circumvention">
          circumvention
        </a>
      </li><li>
        <a href="../category/network">
          network
        </a>
      </li><li>
        <a href="../category/reports">
          reports
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-236"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-236" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><a rel="nofollow" href="http://www.incognitome.co.uk">incognito (not verified)</a> said:</p>
      <p class="date-time">September 05, 2008</p>
    </div>
    <a href="#comment-236">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-236" class="permalink" rel="bookmark">incognito</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Are you aware of this resource: <a href="http://www.lessmosquito.com/" rel="nofollow">http://www.lessmosquito.com/</a> ?</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
